Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.mapping
Class PrimaryKey

    java.lang.Object
      org.hibernate.mapping.Constraint
          org.hibernate.mapping.PrimaryKey

All Implemented Interfaces:
  Serializable, RelationalModel

    public class PrimaryKey

extends Constraint

A primary key constraint

See Also:
  Serialized Form

Constructor Summary
`PrimaryKey()`

Method Summary
`String` | `sqlConstraintString(Dialect dialect)`
`String` | `sqlConstraintString(Dialect dialect, String constraintName, String defaultCatalog, String defaultSchema)`

Methods inherited from class org.hibernate.mapping.Constraint
`addColumn, addColumns, columnIterator, containsColumn, getColumn, getColumnIterator, getColumns, getColumnSpan, getName, getTable, isGenerated, setName, setTable, sqlCreateString, sqlDropString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PrimaryKey

    public PrimaryKey()

Method Detail

### sqlConstraintString

    public String sqlConstraintString(Dialect dialect)

### sqlConstraintString

    public String sqlConstraintString(Dialect dialect,
                                      String constraintName,
                                      String defaultCatalog,
                                      String defaultSchema)

  Specified by:
    `sqlConstraintString` in class `Constraint`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.